function [Z, Zstar, Zlogit, Zprobit, CIZ, CIZstar, CIlogit, CIprobit]=compareY(W1a,W1b,W2a,W2b)

%================================ESTIMATION ===========================

if size(W1a,1)==1;W1a=W1a';end
if size(W1b,1)==1;W1b=W1b';end
if size(W2a,1)==1;W2a=W2a';end
if size(W2b,1)==1;W2b=W2b';end

na=length(W1a);
nb=length(W1b);

options=optimset('MaxFunEvals',1000000,'MaxIter',1000000,'TolX',10^(-4));
%====================================================================

         
%              1   2   3   4   5   6   7   8   9    10   11   12
%with order:  m1a s1a m1b s1b m2a s2a m2b s2b cova covb lam1 lam2
%-->their lambda versions


m1ahat=mean(W1a);s1ahat=std(W1a);
m1bhat=mean(W1b);s1bhat=std(W1b);
m2ahat=mean(W2a);s2ahat=std(W2a);
m2bhat=mean(W2b);s2bhat=std(W2b);
cova=cov([W1a W2a]);cova=cova(1,2);
covb=cov([W1b W2b]);covb=covb(1,2);
%===============================HESSIAN IN CLOSED FORM:
Hcf=zeros(10,10);
Hcf(1,1)=na*(-2./(2.*s1ahat.^2 - (2.*cova.^2)./s2ahat.^2));Hcf(1,2)=0;
Hcf(1,3)=0;Hcf(1,4)=0;Hcf(1,5)=na*(cova/(s1ahat^2*s2ahat^2 - cova^2));Hcf(1,6)=0;
Hcf(1,9)=0;

Hcf(2,1)=Hcf(1,2);
Hcf(2,2)=sum((s1ahat.^4.*s2ahat.^6 + cova.^3.*(2.*m1ahat.*m2ahat.*s2ahat.^2 + 2.*W1a.*W2a.*s2ahat.^2 - 2.*W1a.*m2ahat.*s2ahat.^2 - 2.*W2a.*m1ahat.*s2ahat.^2) - s1ahat.^2.*(3.*W1a.^2.*s2ahat.^6 - 6.*W1a.*m1ahat.*s2ahat.^6 + 3.*m1ahat.^2.*s2ahat.^6) - cova.^2.*(s1ahat.^2.*(3.*W2a.^2.*s2ahat.^2 - 6.*W2a.*m2ahat.*s2ahat.^2 + 3.*m2ahat.^2.*s2ahat.^2) + W1a.^2.*s2ahat.^4 + m1ahat.^2.*s2ahat.^4 - 2.*W1a.*m1ahat.*s2ahat.^4) - cova.^4.*(W2a.^2 - 2.*W2a.*m2ahat + m2ahat.^2 + s2ahat.^2) + cova.*s1ahat.^2.*(6.*m1ahat.*m2ahat.*s2ahat.^4 + 6.*W1a.*W2a.*s2ahat.^4 - 6.*W1a.*m2ahat.*s2ahat.^4 - 6.*W2a.*m1ahat.*s2ahat.^4))./(s1ahat.^2.*s2ahat.^2 - cova.^2).^3);
Hcf(2,3)=0;
Hcf(2,4)=0;
Hcf(2,5)=0;
Hcf(2,6)=sum(((s1ahat.^3.*(2.*cova.*(2.*W1a.*W2a - 2.*W1a.*m2ahat - 2.*W2a.*m1ahat + 2.*m1ahat.*m2ahat) + 2.*cova.^2) - cova.^2.*s1ahat.*(4.*W1a.^2 - 8.*W1a.*m1ahat + 4.*m1ahat.^2)).*s2ahat.^3 + (s1ahat.*(2.*cova.^3.*(2.*W1a.*W2a - 2.*W1a.*m2ahat - 2.*W2a.*m1ahat + 2.*m1ahat.*m2ahat) - 2.*cova.^4) - cova.^2.*s1ahat.^3.*(4.*W2a.^2 - 8.*W2a.*m2ahat + 4.*m2ahat.^2)).*s2ahat)./(s1ahat.^2.*s2ahat.^2 - cova.^2).^3);
Hcf(2,9)=sum((s1ahat.*(cova.^3.*(2.*W2a.^2 - 4.*W2a.*m2ahat + 2.*m2ahat.^2 + 2.*s2ahat.^2) + cova.*s2ahat.^4.*(4.*W1a.^2 - 8.*W1a.*m1ahat + 4.*m1ahat.^2) - cova.^2.*s2ahat.^2.*(6.*W1a.*W2a - 6.*W1a.*m2ahat - 6.*W2a.*m1ahat + 6.*m1ahat.*m2ahat)) - s1ahat.^3.*(s2ahat.^4.*(2.*W1a.*W2a - 2.*W1a.*m2ahat - 2.*W2a.*m1ahat + 2.*m1ahat.*m2ahat) + cova.*(2.*s2ahat.^4 - s2ahat.^2.*(2.*W2a.^2 - 4.*W2a.*m2ahat + 2.*m2ahat.^2))))/(s1ahat.^2.*s2ahat.^2 - cova.^2).^3);

Hcf(3,1)=Hcf(1,3);Hcf(3,2)=Hcf(2,3);
Hcf(3,3)=nb*(-2/(2*s1bhat^2 - (2*covb^2)/s2bhat^2));
Hcf(3,4)=0;
Hcf(3,5)=0;Hcf(3,6)=0;
Hcf(3,7)=nb*(covb/(s1bhat^2*s2bhat^2 - covb^2));
Hcf(3,8)=0;

Hcf(4,1)=Hcf(4,1);Hcf(4,2)=Hcf(2,4);Hcf(4,3)=Hcf(3,4);
Hcf(4,4)=sum((s1bhat.^4.*s2bhat.^6 + covb.^3.*(2.*m1bhat.*m2bhat.*s2bhat.^2 + 2.*W1b.*W2b.*s2bhat.^2 - 2.*W1b.*m2bhat.*s2bhat.^2 - 2.*W2b.*m1bhat.*s2bhat.^2) - s1bhat.^2.*(3.*W1b.^2.*s2bhat.^6 - 6.*W1b.*m1bhat.*s2bhat.^6 + 3.*m1bhat.^2.*s2bhat.^6) - covb.^2.*(s1bhat.^2.*(3.*W2b.^2.*s2bhat.^2 - 6.*W2b.*m2bhat.*s2bhat.^2 + 3.*m2bhat.^2.*s2bhat.^2) + W1b.^2.*s2bhat.^4 + m1bhat.^2.*s2bhat.^4 - 2.*W1b.*m1bhat.*s2bhat.^4) - covb.^4.*(W2b.^2 - 2.*W2b.*m2bhat + m2bhat.^2 + s2bhat.^2) + covb.*s1bhat.^2.*(6.*m1bhat.*m2bhat.*s2bhat.^4 + 6.*W1b.*W2b.*s2bhat.^4 - 6.*W1b.*m2bhat.*s2bhat.^4 - 6.*W2b.*m1bhat.*s2bhat.^4))/(s1bhat.^2.*s2bhat.^2 - covb.^2).^3);
Hcf(4,5)=0;Hcf(4,6)=0;
Hcf(4,7)=0;
Hcf(4,8)=sum(((s1bhat.^3.*(2.*covb.*(2.*W1b.*W2b - 2.*W1b.*m2bhat - 2.*W2b.*m1bhat + 2.*m1bhat.*m2bhat) + 2.*covb.^2) - covb.^2.*s1bhat.*(4.*W1b.^2 - 8.*W1b.*m1bhat + 4.*m1bhat.^2)).*s2bhat.^3 + (s1bhat.*(2.*covb.^3.*(2.*W1b.*W2b - 2.*W1b.*m2bhat - 2.*W2b.*m1bhat + 2.*m1bhat.*m2bhat) - 2.*covb.^4) - covb.^2.*s1bhat.^3.*(4.*W2b.^2 - 8.*W2b.*m2bhat + 4.*m2bhat.^2)).*s2bhat)./(s1bhat.^2.*s2bhat.^2 - covb.^2).^3);

Hcf(5,1)=Hcf(1,5);Hcf(5,2)=Hcf(2,5);Hcf(5,3)=Hcf(3,5);Hcf(4,5)=Hcf(5,4);
Hcf(5,5)=na*(-2/(2*s2ahat.^2 - (2*cova.^2)/s1ahat.^2));
Hcf(5,6)=0;
Hcf(5,7)=0;Hcf(5,8)=0;
Hcf(5,9)=0;

Hcf(6,1)=Hcf(1,6);Hcf(6,2)=Hcf(2,6);Hcf(6,3)=Hcf(3,6);
Hcf(6,4)=Hcf(4,6);Hcf(6,5)=Hcf(5,6);
Hcf(6,6)=sum((s1ahat.^6.*s2ahat.^4 + cova.^3.*(2.*m1ahat.*m2ahat.*s1ahat.^2 + 2.*W1a.*W2a.*s1ahat.^2 - 2.*W1a.*m2ahat.*s1ahat.^2 - 2.*W2a.*m1ahat.*s1ahat.^2) - s2ahat.^2.*(3.*W2a.^2.*s1ahat.^6 - 6.*W2a.*m2ahat.*s1ahat.^6 + 3.*m2ahat.^2.*s1ahat.^6) - cova.^2.*(s2ahat.^2.*(3.*W1a.^2.*s1ahat.^2 - 6.*W1a.*m1ahat.*s1ahat.^2 + 3.*m1ahat.^2.*s1ahat.^2) + W2a.^2.*s1ahat.^4 + m2ahat.^2.*s1ahat.^4 - 2.*W2a.*m2ahat.*s1ahat.^4) - cova.^4.*(W1a.^2 - 2.*W1a.*m1ahat + m1ahat.^2 + s1ahat.^2) + cova.*s2ahat.^2.*(6.*m1ahat.*m2ahat.*s1ahat.^4 + 6.*W1a.*W2a.*s1ahat.^4 - 6.*W1a.*m2ahat.*s1ahat.^4 - 6.*W2a.*m1ahat.*s1ahat.^4))./(s1ahat.^2.*s2ahat.^2 - cova.^2).^3);
Hcf(6,7)=0;Hcf(6,8)=0;
Hcf(6,9)=sum((s2ahat.*(cova.^3.*(2.*W1a.^2 - 4.*W1a.*m1ahat + 2.*m1ahat.^2 + 2.*s1ahat.^2) + cova.*s1ahat.^4.*(4.*W2a.^2 - 8.*W2a.*m2ahat + 4.*m2ahat.^2) - cova.^2.*s1ahat.^2.*(6.*W1a.*W2a - 6.*W1a.*m2ahat - 6.*W2a.*m1ahat + 6.*m1ahat.*m2ahat)) - s2ahat.^3.*(s1ahat.^4.*(2.*W1a.*W2a - 2.*W1a.*m2ahat - 2.*W2a.*m1ahat + 2.*m1ahat.*m2ahat) + cova.*(2.*s1ahat.^4 - s1ahat.^2.*(2.*W1a.^2 - 4.*W1a.*m1ahat + 2.*m1ahat.^2))))./(s1ahat.^2.*s2ahat.^2 - cova.^2).^3);;


Hcf(7,1)=Hcf(1,7);Hcf(7,2)=Hcf(2,7);Hcf(7,3)=Hcf(3,7);Hcf(7,4)=Hcf(4,7);Hcf(7,5)=Hcf(5,7);Hcf(7,6)=Hcf(6,7);
Hcf(7,7)=nb*(-2./(2*s2bhat^2 - (2*covb^2)./s1bhat^2));
Hcf(7,8)=0;
Hcf(7,9)=0;
Hcf(7,10)=0;


Hcf(8,1)=Hcf(1,8);Hcf(8,2)=Hcf(2,8);Hcf(8,3)=Hcf(3,8);Hcf(8,4)=Hcf(4,8);Hcf(8,5)=Hcf(5,8);Hcf(8,6)=Hcf(6,8);Hcf(8,7)=Hcf(7,8);
Hcf(8,8)=sum((s1bhat.^6.*s2bhat.^4 + covb.^3.*(2.*m1bhat.*m2bhat.*s1bhat.^2 + 2.*W1b.*W2b.*s1bhat.^2 - 2.*W1b.*m2bhat.*s1bhat.^2 - 2.*W2b.*m1bhat.*s1bhat.^2) - s2bhat.^2.*(3.*W2b.^2.*s1bhat.^6 - 6.*W2b.*m2bhat.*s1bhat.^6 + 3.*m2bhat.^2.*s1bhat.^6) - covb.^2.*(s2bhat.^2.*(3.*W1b.^2.*s1bhat.^2 - 6.*W1b.*m1bhat.*s1bhat.^2 + 3.*m1bhat.^2.*s1bhat.^2) + W2b.^2.*s1bhat.^4 + m2bhat.^2.*s1bhat.^4 - 2.*W2b.*m2bhat.*s1bhat.^4) - covb.^4.*(W1b.^2 - 2.*W1b.*m1bhat + m1bhat.^2 + s1bhat.^2) + covb.*s2bhat.^2.*(6.*m1bhat.*m2bhat.*s1bhat.^4 + 6.*W1b.*W2b.*s1bhat.^4 - 6.*W1b.*m2bhat.*s1bhat.^4 - 6.*W2b.*m1bhat.*s1bhat.^4))./(s1bhat.^2.*s2bhat.^2 - covb.^2).^3);
Hcf(8,9)=0;
Hcf(8,10)= sum((s2bhat.*(covb.^3.*(2.*W1b.^2 - 4.*W1b.*m1bhat + 2.*m1bhat.^2 + 2.*s1bhat.^2) + covb.*s1bhat.^4.*(4.*W2b.^2 - 8.*W2b.*m2bhat + 4.*m2bhat.^2) - covb.^2.*s1bhat.^2.*(6.*W1b.*W2b - 6.*W1b.*m2bhat - 6.*W2b.*m1bhat + 6.*m1bhat.*m2bhat)) - s2bhat.^3.*(s1bhat.^4.*(2.*W1b.*W2b - 2.*W1b.*m2bhat - 2.*W2b.*m1bhat + 2.*m1bhat.*m2bhat) + covb.*(2.*s1bhat.^4 - s1bhat.^2.*(2.*W1b.^2 - 4.*W1b.*m1bhat + 2.*m1bhat.^2))))./(s1bhat.^2.*s2bhat.^2 - covb.^2).^3);

Hcf(9,1)=Hcf(1,9);Hcf(9,2)=Hcf(2,9);Hcf(9,3)=Hcf(3,9);Hcf(9,4)=Hcf(4,9);Hcf(9,5)=Hcf(5,9);Hcf(9,6)=Hcf(6,9);Hcf(9,7)=Hcf(7,9);Hcf(9,8)=Hcf(8,9);
Hcf(9,9)=sum(-(cova.^2.*((3.*W2a.^2 - 6.*W2a.*m2ahat + 3.*m2ahat.^2).*s1ahat.^2 + (3.*W1a.^2 - 6.*W1a.*m1ahat + 3.*m1ahat.^2).*s2ahat.^2) - cova.^3.*(2.*W1a.*W2a - 2.*W1a.*m2ahat - 2.*W2a.*m1ahat + 2.*m1ahat.*m2ahat) + cova.^4 + s2ahat.^4.*(s1ahat.^2.*(W1a.^2 - 2.*W1a.*m1ahat + m1ahat.^2) - s1ahat.^4) + s1ahat.^4.*s2ahat.^2.*(W2a.^2 - 2.*W2a.*m2ahat + m2ahat^2) - cova.*s1ahat^2.*s2ahat^2.*(6.*W1a.*W2a - 6.*W1a.*m2ahat - 6.*W2a.*m1ahat + 6.*m1ahat.*m2ahat))./(s1ahat^2.*s2ahat^2 - cova^2)^3);
Hcf(10,10)=sum(-(covb.^2.*((3.*W2b.^2 - 6.*W2b.*m2bhat + 3.*m2bhat.^2).*s1bhat.^2 + (3.*W1b.^2 - 6.*W1b.*m1bhat + 3.*m1bhat.^2).*s2bhat.^2) - covb.^3.*(2.*W1b.*W2b - 2.*W1b.*m2bhat - 2.*W2b.*m1bhat + 2.*m1bhat.*m2bhat) + covb.^4 + s2bhat.^4.*(s1bhat.^2.*(W1b.^2 - 2.*W1b.*m1bhat + m1bhat.^2) - s1bhat.^4) + s1bhat.^4.*s2bhat.^2.*(W2b.^2 - 2.*W2b.*m2bhat + m2bhat.^2) - covb.*s1bhat.^2.*s2bhat.^2.*(6.*W1b.*W2b - 6.*W1b.*m2bhat - 6.*W2b.*m1bhat + 6.*m1bhat.*m2bhat))./(s1bhat.^2.*s2bhat.^2 - covb.^2).^3);

Hcf(10,3)=0;
Hcf(10,4)=sum((s1bhat.*(covb.^3.*(2.*W2b.^2 - 4.*W2b.*m2bhat + 2.*m2bhat.^2 + 2.*s2bhat.^2) + covb.*s2bhat.^4.*(4.*W1b.^2 - 8.*W1b.*m1bhat + 4.*m1bhat.^2) - covb.^2.*s2bhat.^2.*(6.*W1b.*W2b - 6.*W1b.*m2bhat - 6.*W2b.*m1bhat + 6.*m1bhat.*m2bhat)) - s1bhat.^3.*(s2bhat.^4.*(2.*W1b.*W2b - 2.*W1b.*m2bhat - 2.*W2b.*m1bhat + 2.*m1bhat.*m2bhat) + covb.*(2.*s2bhat.^4 - s2bhat.^2.*(2.*W2b.^2 - 4.*W2b.*m2bhat + 2.*m2bhat.^2))))./(s1bhat.^2.*s2bhat.^2 - covb.^2).^3);
Hcf(10,7)=0;
Hcf(10,8)=sum((s2bhat.*(covb.^3.*(2.*W1b.^2 - 4.*W1b.*m1bhat + 2.*m1bhat.^2 + 2.*s1bhat.^2) + covb.*s1bhat.^4.*(4.*W2b.^2 - 8.*W2b.*m2bhat + 4.*m2bhat.^2) - covb.^2.*s1bhat.^2.*(6.*W1b.*W2b - 6.*W1b.*m2bhat - 6.*W2b.*m1bhat + 6.*m1bhat.*m2bhat)) - s2bhat.^3.*(s1bhat.^4.*(2.*W1b.*W2b - 2.*W1b.*m2bhat - 2.*W2b.*m1bhat + 2.*m1bhat.*m2bhat) + covb.*(2.*s1bhat.^4 - s1bhat.^2.*(2.*W1b.^2 - 4.*W1b.*m1bhat + 2.*m1bhat.^2))))./(s1bhat.^2.*s2bhat.^2 - covb.^2).^3);

Hcf(1,10)=Hcf(10,1);Hcf(2,10)=Hcf(10,2);Hcf(3,10)=Hcf(10,3);Hcf(4,10)=Hcf(10,4);
Hcf(5,10)=Hcf(10,5);Hcf(6,10)=Hcf(10,6);Hcf(7,10)=Hcf(10,7);Hcf(8,10)=Hcf(10,8);
Hcf(9,10)=Hcf(10,9);
%===============================END HESSIAN IN CLOSED FORM

H=Hcf;
VV=inv(-H);


%pars=[m1ahat s1ahat m1bhat s1bhat m2ahat s2ahat m2bhat s2bhat];

m1a=m1ahat;
s1a=s1ahat;
m1b=m1bhat;
s1b=s1bhat;

m2a=m2ahat;
s2a=s2ahat;
m2b=m2bhat;
s2b=s2bhat;





a1=m1b-m1a;
b1=s1b/s1a;
c1=(m1a*(b1^2-1)-a1+b1*sqrt(a1^2+(b1^2-1)*s1a^2*log(b1^2)))/(b1^2-1);
J1=normcdf_sym((m1b-c1)/s1b)+normcdf_sym((c1-m1a)/s1a)-1

a2=m2b-m2a;
b2=s2b/s2a;
c2=(m2a*(b2^2-1)-a2+b2*sqrt(a2^2+(b2^2-1)*s2a^2*log(b2^2)))/(b2^2-1);
J2=normcdf_sym((m2b-c2)/s2b)+normcdf_sym((c2-m2a)/s2a)-1



%====================J1==============================
%J1 =erf((2^(1/2)*(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1)))/(2*s1b))/2 - erf((2^(1/2)*(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1)))/(2*s1a))/2;
%J2 =erf((2^(1/2)*(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1)))/(2*s2b))/2 - erf((2^(1/2)*(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1)))/(2*s2a))/2;

dJ1_dm1a = (2^(1/2)*exp(-(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1a^2))*((s1b^2/s1a^2 + (s1b*(2*m1a - 2*m1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)))/(s1b^2/s1a^2 - 1) - 1))/(2*pi^(1/2)*s1a) - (2^(1/2)*exp(-(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1b^2))*(s1b^2/s1a^2 + (s1b*(2*m1a - 2*m1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))))/(2*pi^(1/2)*s1b*(s1b^2/s1a^2 - 1));
dJ1_ds1a = (2^(1/2)*exp(-(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1b^2))*(((s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a^2 + (2*m1a*s1b^2)/s1a^3 + (s1b*(2*s1a*(s1b^2/s1a^2 - 1) + (2*s1b^2*log(s1b^2/s1a^2))/s1a - 2*s1a*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1)))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)))/(s1b^2/s1a^2 - 1) - (2*s1b^2*(m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a))/(s1a^3*(s1b^2/s1a^2 - 1)^2)))/(2*pi^(1/2)*s1b) - (exp(-(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1a^2))*((2^(1/2)*(((s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a^2 + (2*m1a*s1b^2)/s1a^3 + (s1b*(2*s1a*(s1b^2/s1a^2 - 1) + (2*s1b^2*log(s1b^2/s1a^2))/s1a - 2*s1a*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1)))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)))/(s1b^2/s1a^2 - 1) - (2*s1b^2*(m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a))/(s1a^3*(s1b^2/s1a^2 - 1)^2)))/(2*s1a) - (2^(1/2)*(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1)))/(2*s1a^2)))/pi^(1/2);
dJ1_dm1b = (2^(1/2)*exp(-(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1b^2))*(((s1b*(2*m1a - 2*m1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)) + 1)/(s1b^2/s1a^2 - 1) + 1))/(2*pi^(1/2)*s1b) - (2^(1/2)*exp(-(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1a^2))*((s1b*(2*m1a - 2*m1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)) + 1))/(2*pi^(1/2)*s1a*(s1b^2/s1a^2 - 1));
dJ1_ds1b = (2^(1/2)*exp(-(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1a^2))*((((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)/s1a + (2*m1a*s1b)/s1a^2 + (s1b*(2*s1b*log(s1b^2/s1a^2) + (2*s1a^2*(s1b^2/s1a^2 - 1))/s1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)))/(s1b^2/s1a^2 - 1) - (2*s1b*(m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a))/(s1a^2*(s1b^2/s1a^2 - 1)^2)))/(2*pi^(1/2)*s1a) - (exp(-(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1b^2))*((2^(1/2)*((((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)/s1a + (2*m1a*s1b)/s1a^2 + (s1b*(2*s1b*log(s1b^2/s1a^2) + (2*s1a^2*(s1b^2/s1a^2 - 1))/s1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)))/(s1b^2/s1a^2 - 1) - (2*s1b*(m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a))/(s1a^2*(s1b^2/s1a^2 - 1)^2)))/(2*s1b) + (2^(1/2)*(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1)))/(2*s1b^2)))/pi^(1/2);

dJ1_dm2a =0;
dJ1_ds2a =0;
dJ1_dm2b =0;
dJ1_ds2b =0;
 
 
dJ2_dm1a =0;
dJ2_ds1a =0;
dJ2_dm1b =0;
dJ2_ds1b =0;
 
dJ2_dm2a = (2^(1/2)*exp(-(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2a^2))*((s2b^2/s2a^2 + (s2b*(2*m2a - 2*m2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)))/(s2b^2/s2a^2 - 1) - 1))/(2*pi^(1/2)*s2a) - (2^(1/2)*exp(-(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2b^2))*(s2b^2/s2a^2 + (s2b*(2*m2a - 2*m2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))))/(2*pi^(1/2)*s2b*(s2b^2/s2a^2 - 1));
dJ2_ds2a = (2^(1/2)*exp(-(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2b^2))*(((s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a^2 + (2*m2a*s2b^2)/s2a^3 + (s2b*(2*s2a*(s2b^2/s2a^2 - 1) + (2*s2b^2*log(s2b^2/s2a^2))/s2a - 2*s2a*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1)))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)))/(s2b^2/s2a^2 - 1) - (2*s2b^2*(m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a))/(s2a^3*(s2b^2/s2a^2 - 1)^2)))/(2*pi^(1/2)*s2b) - (exp(-(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2a^2))*((2^(1/2)*(((s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a^2 + (2*m2a*s2b^2)/s2a^3 + (s2b*(2*s2a*(s2b^2/s2a^2 - 1) + (2*s2b^2*log(s2b^2/s2a^2))/s2a - 2*s2a*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1)))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)))/(s2b^2/s2a^2 - 1) - (2*s2b^2*(m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a))/(s2a^3*(s2b^2/s2a^2 - 1)^2)))/(2*s2a) - (2^(1/2)*(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1)))/(2*s2a^2)))/pi^(1/2);
dJ2_dm2b = (2^(1/2)*exp(-(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2b^2))*(((s2b*(2*m2a - 2*m2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)) + 1)/(s2b^2/s2a^2 - 1) + 1))/(2*pi^(1/2)*s2b) - (2^(1/2)*exp(-(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2a^2))*((s2b*(2*m2a - 2*m2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)) + 1))/(2*pi^(1/2)*s2a*(s2b^2/s2a^2 - 1));
dJ2_ds2b = (2^(1/2)*exp(-(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2a^2))*((((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)/s2a + (2*m2a*s2b)/s2a^2 + (s2b*(2*s2b*log(s2b^2/s2a^2) + (2*s2a^2*(s2b^2/s2a^2 - 1))/s2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)))/(s2b^2/s2a^2 - 1) - (2*s2b*(m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a))/(s2a^2*(s2b^2/s2a^2 - 1)^2)))/(2*pi^(1/2)*s2a) - (exp(-(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2b^2))*((2^(1/2)*((((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)/s2a + (2*m2a*s2b)/s2a^2 + (s2b*(2*s2b*log(s2b^2/s2a^2) + (2*s2a^2*(s2b^2/s2a^2 - 1))/s2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)))/(s2b^2/s2a^2 - 1) - (2*s2b*(m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a))/(s2a^2*(s2b^2/s2a^2 - 1)^2)))/(2*s2b) + (2^(1/2)*(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1)))/(2*s2b^2)))/pi^(1/2);
 


VVpars=VV(1:8,1:8);
VJ1=[dJ1_dm1a dJ1_ds1a dJ1_dm1b dJ1_ds1b dJ1_dm2a dJ1_ds2a dJ1_dm2b dJ1_ds2b]*VVpars*[dJ1_dm1a dJ1_ds1a dJ1_dm1b dJ1_ds1b dJ1_dm2a dJ1_ds2a dJ1_dm2b dJ1_ds2b]';
VJ2=[dJ2_dm1a dJ2_ds1a dJ2_dm1b dJ2_ds1b dJ2_dm2a dJ2_ds2a dJ2_dm2b dJ2_ds2b]*VVpars*[dJ2_dm1a dJ2_ds1a dJ2_dm1b dJ2_ds1b dJ2_dm2a dJ2_ds2a dJ2_dm2b dJ2_ds2b]';
COVJ12=[dJ1_dm1a dJ1_ds1a dJ1_dm1b dJ1_ds1b dJ1_dm2a dJ1_ds2a dJ1_dm2b dJ1_ds2b]*VVpars*[dJ2_dm1a dJ2_ds1a dJ2_dm1b dJ2_ds1b dJ2_dm2a dJ2_ds2a dJ2_dm2b dJ2_ds2b]';

Z=(J2-J1)./(sqrt(VJ1+VJ2-2*COVJ12));
SE=(sqrt(VJ1+VJ2-2*COVJ12));
CIZ=[(J2-J1)-1.96*SE (J2-J1)+1.96*SE];

logitJ2=log(J2/(1-J2));
logitJ1=log(J1/(1-J1));
VJT1=1/(J1^2*(J1-1)^2)*VJ1;
VJT2=1/(J2^2*(J2-1)^2)*VJ2;
V12=[VJ1 COVJ12;COVJ12 VJ2];
COVJT12=[-1/(J1*(J1-1)) 0]*V12*[0 -1/(J2*(J2-1))]';
Zlogit=(logitJ2-logitJ1)./(sqrt(VJT1+VJT2-2*COVJT12));
SE=(sqrt(VJT1+VJT2-2*COVJT12));
CIlogit=[(logitJ2-logitJ1)-1.96*SE (logitJ2-logitJ1)+1.96*SE];

probitJ2=norminv(J2);
probitJ1=norminv(J1);
VJT1=1/(normpdf(norminv(J1)))^2*VJ1;
VJT2=1/(normpdf(norminv(J2)))^2*VJ2;
V12=[VJ1 COVJ12;COVJ12 VJ2];
COVJT12=[1/(normpdf(norminv(J1))) 0]*V12*[0 1/(normpdf(norminv(J2)))]';
Zprobit=(probitJ2-probitJ1)./(sqrt(VJT1+VJT2-2*COVJT12));
SE=(sqrt(VJT1+VJT2-2*COVJT12));
CIprobit=[(probitJ2-probitJ1)-1.96*SE (probitJ2-probitJ1)+1.96*SE];


JT2=log(0.5*(J2+1)/(1-0.5*(J2+1)));
JT1=log(0.5*(J1+1)/(1-0.5*(J1+1)));
VJT1=4/(J1^2-1)^2*VJ1;
VJT2=4/(J2^2-1)^2*VJ2;
COVJT12=[-2/(J1^2-1) 0]*V12*[0 -2/(J2^2-1)]';
Zstar=(JT2-JT1)./(sqrt(VJT1+VJT2-2*COVJT12));
SE=(sqrt(VJT1+VJT2-2*COVJT12));
CIZstar=[(JT2-JT1)-1.96*SE (JT2-JT1)+1.96*SE];




end


